summaryrefslogtreecommitdiffstats
path: root/package/block-mount/files/fsck.sh
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-02-26 22:45:39 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-02-26 22:45:39 +0000
commitfaf7173b4df3a152dbdc574751078b359c116d5b (patch)
tree446e5e5532100cf4c46d1bddfde0a688dbf1c153 /package/block-mount/files/fsck.sh
parenta35f8c947088b65dd1524938b59fb9b1e429807c (diff)
add the block-mount package by Daniel Dickinson (cshore), replacing existing automount functionality
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@19877 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/block-mount/files/fsck.sh')
-rw-r--r--package/block-mount/files/fsck.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/package/block-mount/files/fsck.sh b/package/block-mount/files/fsck.sh
new file mode 100644
index 000000000..d80e71693
--- /dev/null
+++ b/package/block-mount/files/fsck.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Copyright 2010 Vertical Communications
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+libmount_fsck() {
+ local device="$1"
+ local fsck_fstype="$2"
+ local fsck_enabled="$3"
+ local known_type
+ local found_fsck=0
+
+
+ [ -n "$fsck_type" ] && [ "$fsck_type" != "swap" ] && {
+ grep -q "$device" /proc/swaps || grep -q "$device" /proc/mounts || {
+ [ -e "$device" ] && [ "$fsck_enabled" -eq 1 ] && {
+ for known_type in $libmount_known_fsck; do
+ if [ "$known_type" = "$fsck_fstype" ]; then
+ fsck_${known_type} "$device"
+ found_fsck=1
+ break
+ fi
+ done
+ if [ "$found_fsck" -ne 1 ]; then
+ logger -t 'fstab' "Unable to check/repair $device; no known fsck for filesystem type $fstype"
+ fi
+ }
+ }
+ }
+}
+
+libmount_known_fsck=""
+
+include /lib/functions/fsck
+